Subject: Re: using cat on binary files (CTRL-Z trauma)
From: [email-masked] (David Dyck)

19 Oct 1996 22:41:20 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Content-Transfer-Encoding: QUOTED-PRINTABLE
X-Sender: dcd@jd
Original-To: root <[email-masked]>
Original-cc: John Cook <[email-masked]>, [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I know from experience, that MSDOS (>3.X, probably 5.x) still look
at ctrl-z in certain cases.

  I had a graphics screen dump program that failed
every now and the (it turned out to be when a ctrl-z)
was send in the binary graphics data to the printer.
I added a test to change each ctrl-z by a bit, and
the LPT/PRN driver started passing the data to the
printer again, and the screen dumps started working.

There may be other cases also like this.
  David Dyck

PS.  I tried several ways to set the printer to binary
mode, but I never got my program to do it.
If I printed to a file, and used
  COPY/B myfile.tmp LPT1:
then the ctrl-z would be passed to the printer correctly,
I just couldn't duplicate it in my own program.
(the /B flag to copy means copy in binary mode)

On Fri, 18 Oct 1996, root wrote:

> Date: Fri, 18 Oct 1996 22:55:31 -0700
> From: root <[email-masked]>
> To: John Cook <[email-masked]>
> Cc: [email-masked]
> Subject: Re: using cat on binary files (CTRL-Z trauma)
>
> >
> >
> >
> > When I try to cat a binary file, cat bails upon receiving
> > the first CTRL-Z byte.  CTRL-Z is the DOS end-of-file character
> > (right?)
>
> Wrong!
> DOS doesn't use the Ctrl-Z character since (at least) DOS 3.X
> i.e. several centuries ago in this rap=EEdly moving field! We are
> now in DOS Windows NT style, quite a change since
> C:>
>
>
>
> --
> Jacob Navia=09Logiciels/Informatique
> 41 rue Maurice Ravel=09=09=09Tel (1) 48.23.51.44
> 93430 Villetaneuse =09=09=09Fax (1) 48.23.95.39
> France
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".
>

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".